## GstVp8RangeDecoder

Range decoder.

### Members

`buf` (const guchar *) –

the original bitstream buffer start

`buf_size` (guint) –

the original bitstream buffer size

## GstCodecParsers.Vp8RangeDecoder

Range decoder.

### Members

`buf` (Number) –

the original bitstream buffer start

`buf_size` (Number) –

the original bitstream buffer size

## GstCodecParsers.Vp8RangeDecoder

Range decoder.

### Members

`buf` (int) –

the original bitstream buffer start

`buf_size` (int) –

the original bitstream buffer size

### Methods

#### gst_vp8_range_decoder_get_pos

    guint
    gst_vp8_range_decoder_get_pos (GstVp8RangeDecoder * rd)

Parameters:

`rd` –
No description available
Returns –
No description available

#### GstCodecParsers.Vp8RangeDecoder.prototype.get_pos

    function GstCodecParsers.Vp8RangeDecoder.prototype.get_pos(): {
        // javascript wrapper for 'gst_vp8_range_decoder_get_pos'
    }

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
Returns (Number) –
No description available

#### GstCodecParsers.Vp8RangeDecoder.get_pos

    def GstCodecParsers.Vp8RangeDecoder.get_pos (self):
        #python wrapper for 'gst_vp8_range_decoder_get_pos'

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
Returns (int) –
No description available

#### gst_vp8_range_decoder_get_state

    gst_vp8_range_decoder_get_state (GstVp8RangeDecoder * rd,
                                     GstVp8RangeDecoderState * state)

Parameters:

`rd` –
No description available
`state` –
No description available

#### GstCodecParsers.Vp8RangeDecoder.prototype.get_state

    function GstCodecParsers.Vp8RangeDecoder.prototype.get_state(state: GstCodecParsers.Vp8RangeDecoderState): {
        // javascript wrapper for 'gst_vp8_range_decoder_get_state'
    }

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`state` (GstCodecParsers.Vp8RangeDecoderState) –
No description available

#### GstCodecParsers.Vp8RangeDecoder.get_state

    def GstCodecParsers.Vp8RangeDecoder.get_state (self, state):
        #python wrapper for 'gst_vp8_range_decoder_get_state'

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`state` (GstCodecParsers.Vp8RangeDecoderState) –
No description available

#### gst_vp8_range_decoder_init

    gboolean
    gst_vp8_range_decoder_init (GstVp8RangeDecoder * rd,
                                const guchar * buf,
                                guint buf_size)

Parameters:

`rd` –
No description available
`buf` –
No description available
`buf_size` –
No description available
Returns –
No description available

#### GstCodecParsers.Vp8RangeDecoder.prototype.init

    function GstCodecParsers.Vp8RangeDecoder.prototype.init(buf: Number, buf_size: Number): {
        // javascript wrapper for 'gst_vp8_range_decoder_init'
    }

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`buf` (Number) –
No description available
`buf_size` (Number) –
No description available
Returns (Number) –
No description available

#### GstCodecParsers.Vp8RangeDecoder.init

    def GstCodecParsers.Vp8RangeDecoder.init (self, buf, buf_size):
        #python wrapper for 'gst_vp8_range_decoder_init'

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`buf` (int) –
No description available
`buf_size` (int) –
No description available
Returns (bool) –
No description available

#### gst_vp8_range_decoder_read

    gint
    gst_vp8_range_decoder_read (GstVp8RangeDecoder * rd,
                                guint8 prob)

Parameters:

`rd` –
No description available
`prob` –
No description available
Returns –
No description available

#### GstCodecParsers.Vp8RangeDecoder.prototype.read

    function GstCodecParsers.Vp8RangeDecoder.prototype.read(prob: Number): {
        // javascript wrapper for 'gst_vp8_range_decoder_read'
    }

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`prob` (Number) –
No description available
Returns (Number) –
No description available

#### GstCodecParsers.Vp8RangeDecoder.read

    def GstCodecParsers.Vp8RangeDecoder.read (self, prob):
        #python wrapper for 'gst_vp8_range_decoder_read'

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`prob` (int) –
No description available
Returns (int) –
No description available

#### gst_vp8_range_decoder_read_literal

    gint
    gst_vp8_range_decoder_read_literal (GstVp8RangeDecoder * rd,
                                        gint bits)

Parameters:

`rd` –
No description available
`bits` –
No description available
Returns –
No description available

#### GstCodecParsers.Vp8RangeDecoder.prototype.read_literal

    function GstCodecParsers.Vp8RangeDecoder.prototype.read_literal(bits: Number): {
        // javascript wrapper for 'gst_vp8_range_decoder_read_literal'
    }

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`bits` (Number) –
No description available
Returns (Number) –
No description available

#### GstCodecParsers.Vp8RangeDecoder.read_literal

    def GstCodecParsers.Vp8RangeDecoder.read_literal (self, bits):
        #python wrapper for 'gst_vp8_range_decoder_read_literal'

Parameters:

`rd` (GstCodecParsers.Vp8RangeDecoder) –
No description available
`bits` (int) –
No description available
Returns (int) –
No description available

## GstVp8RangeDecoderState

Range decoder state.

### Members

`range` (guint8) –

current "Range" value

`value` (guint8) –

current "Value" value

`count` (guint8) –

number of bits left in "Value" for decoding

## GstCodecParsers.Vp8RangeDecoderState

Range decoder state.

### Members

`range` (Number) –

current "Range" value

`value` (Number) –

current "Value" value

`count` (Number) –

number of bits left in "Value" for decoding

## GstCodecParsers.Vp8RangeDecoderState

Range decoder state.

### Members

`range` (int) –

current "Range" value

`value` (int) –

current "Value" value

`count` (int) –

number of bits left in "Value" for decoding

The results of the search are